Subject: Re: [RFC PATCH v2 net-next 0/8] Add support for VSC7511-7514 chips over SPI

From: Colin Foster <[email-masked]>
Date: Sun, 11 Jul 2021 09:44:33 -0700

On Sat, Jul 10, 2021 at 10:01:45PM +0200, Alexandre Belloni wrote:
> On 10/07/2021 12:25:54-0700, Colin Foster wrote:
> > Add support for configuration and control of the VSC7511, VSC7512, VSC7513, and
> > VSC7514 chips over a SPI interface. The intent is to control these chips from an
> > external CPU. The expectation is to have most of the features of the
> > net/ethernet/mscc/ocelot_vsc7514 driver.
> > 
> > I have tried to heed all the advice from my first patch RFC. Thanks to everyone
> > for all the feedback.
> > 
> > The current status is that there are two functional "bugs" that need
> > investigation:
> > 1. The first probe of the internal MDIO bus fails. I suspect this is related to
> > power supplies / grounding issues that would not appear on standard hardware.
> 
> Did you properly reset the internal phys? mdio-mscc-miim.c does that.

That code looks familiar to what I wrote, but the mdio-mscc-miim.c
implementation has the 500ms delay. That might be all I need...